/*
 * This file is part of
 *
 * Ajatus - Distributed CRM
 * @requires jQuery v1.2.1
 * 
 * Copyright (c) 2007 Jerry Jalava <jerry.jalava@gmail.com>
 * Copyright (c) 2007 Nemein Oy <http://nemein.com>
 * Website: http://ajatus.info
 * Licensed under the GPL license
 * http://www.gnu.org/licenses/gpl.html
 * 
 */

#application #top #quick-search .input
{
    float: left;
}
#application #top #tabs-application ul li
{
    float: right;
    margin-right: 0px;
    margin-left: 10px;
}
#application #top #application-views ul li
{
    float: left;
    margin-right: 10px;
    margin-left: 0px;
    cursor: pointer;
}
#application #top #application-tags .select
{
}

.view_group_content th.title,
.view_group_content td.title
{
    padding-left: 5px;
}

/*
 Tabs
*/
@media print {
    .tabs-nav
    {
        display: none;
    }
}
.tabs-nav
{
    list-style: none;
    margin: 0;
    padding: 0 0 0 4px;
}
.tabs-nav:after
{
    display: block;
    clear: both;
    content: " ";
}
.tabs-nav li,
.tabs-nav li.iconified
{
    float: left;
    margin: 0 0 0 1px;
    min-width: 84px; /* be nice to Opera */
    height: 35px;
}
.tabs-nav li.iconified
{
    min-width: 16px;
}
.tabs-nav a,
.tabs-nav a span
{
    display: block;
    padding: 0 10px;    
}
.tabs-nav a {
    position: relative;
    top: 0px;
    z-index: 2;
    padding-left: 0px;
    color: #fff;
    font-size: 12px;
    line-height: 1.2;
    text-align: center;
    text-decoration: none;
    white-space: nowrap;
}
.tabs-nav .tabs-selected,
.tabs-nav .tabs-hover
{
    background: url('../images/tabs-hover-bg.png');
}
.tabs-nav a span {
    width: 64px;
    min-width: 64px;
    height: 18px;
    min-height: 18px;
    padding-top: 10px;
    padding-right: 0;
}
*>.tabs-nav a span {
    width: auto;
    height: auto;
}
.tabs-nav .tabs-selected a span {
    padding-top: 10px;
}
.tabs-nav .tabs-selected a:link, .tabs-nav .tabs-selected a:visited, .tabs-nav .tabs-disabled a:link, .tabs-nav .tabs-disabled a:visited { /* @ Opera, use pseudo classes otherwise it confuses cursor... */
    cursor: text;
}
.tabs-nav a:hover, .tabs-nav a:focus, .tabs-nav a:active { /* @ Opera, we need to be explicit again here now... */
    cursor: pointer;
}

.tabs-nav li.iconified img
{
    margin-top: 8px;
    margin-left: 8px;
}
/*
 Tabs end
*/

.icon-list
{
    list-style: none;
    margin: 0;
    padding: 2px 0 0 0;
}

#content {
}

body.view #content
{
    width: 65%;
    float: left;
}
body.view .sub_blocks
{
    width: 35%;
    float: right;
}

body.create .form_errors,
body.edit .form_errors
{
    width: 80%;
    margin: 5px 0 10px 0;
}
body.create .form_errors ul,
body.edit .form_errors ul
{
    padding: 5px;
}
body.create .form_errors ul li,
body.edit .form_errors ul li
{
    color: red;
}

body.create #content ul,
body.create .additionals_window ul,
body.edit #content ul,
body.edit .additionals_window ul,
body.view #content ul
{
    list-style-type: none;
    margin: 0;
    padding: 0;
}
body.create #content ul li,
body.create .additionals_window ul li,
body.edit #content ul li,
body.edit .additionals_window ul li,
body.view #content ul li
{
    margin-bottom: 10px;
}
body.view #content ul li label
{
    font-weight: bold;
}

body.create #content ul li label,
body.create .additionals_window ul li label,
body.edit #content ul li label,
body.edit .additionals_window ul li label
{
    display: block;
    width: 120px;
    height: 20px;
    text-align: left;
    line-height: 22px;
    background-color: #e1e1e1;
    padding-left: 5px;
    -moz-border-radius: 10px 10px 0 0;
    -webkit-border-radius: 10px 10px 0 0;
    font-weight: bold;
    cursor: pointer;
    white-space: nowrap;
}
body.create .additionals_window ul li label,
body.edit .additionals_window ul li label
{
}

body.create #content ul li div,
body.create .additionals_window ul li div,
body.edit #content ul li div,
body.edit .additionals_window ul li div
{
    min-width: 172px;
    min-height: 20px;
    background-color: #e1e1e1;
    padding: 5px;
    text-align: left;
    float: left;
    -moz-border-radius: 0 10px 10px 10px;
    -webkit-border-radius: 0 10px 10px 10px;
}

body.create #content ul li div.widget_actions,
body.create .additionals_window ul li div.widget_actions,
body.edit #content ul li div.widget_actions,
body.edit .additionals_window ul li div.widget_actions
{
    float: none;
    height: 18px;
    min-width: 80px;
    padding: 0px;
    margin-bottom: 2px;
}
body.create #content ul li div.widget_actions div,
body.create .additionals_window ul li div.widget_actions div,
body.edit #content ul li div.widget_actions div,
body.edit .additionals_window ul li div.widget_actions div
{
    line-height: 16px;
    min-width: 60px;
    min-height: 16px;
    padding: 0px;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    margin: 0;
    cursor: pointer;
    margin-right: 5px;
    text-align: center;
}
body.create #content ul li div.widget_content,
body.create .additionals_window ul li div.widget_content,
body.edit #content ul li div.widget_content,
body.edit .additionals_window ul li div.widget_content
{
    float: none;
}
body.create #content ul li div.element_actions,
body.edit #content ul li div.element_actions
{
    width: 20px;
    min-width: 20px;
}
body.create #content ul li div.additional_element_actions,
body.edit #content ul li div.additional_element_actions
{
    width: 40px;
    min-width: 40px;
}

body.create.report #content ul li
{
    margin-bottom: 12px;
}
body.create.report #content ul li label
{
    width: auto;
    height: auto;
    float: none;
    text-align: left;
    line-height: 14px;
    background: none;
    padding-left: 0px;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    min-width: 60px;
}
body.create.report #content ul li div
{
    width: auto;
    min-height: 0px;
    background: none;
    padding: 0px;
    text-align: left;
    float: none;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    min-width: 60px;
}
body.create.report #content ul li.even
{
}
body.create.report #content ul li div.row_item
{
    float: left;
    margin-right: 5px;
}
body.create.report #content ul li div.row_actions
{
    float: left;
}
body.create.report #content ul li div.row_actions input
{
    margin-top: 12px;
}

body.view div.md_structure
{
    margin-top: 5px;
    margin-bottom: 5px;
}
body.view div.md_structure ul
{
    list-style-type: none;
    margin: 0;
    padding: 0;
}
body.view div.md_structure ul li
{
    margin: 0 0 3px 0;
    padding: 0;
}
body.view div.md_structure ul li label
{
    font-weight: bold;
    margin-right: 10px;
}
body.view div.md_structure ul li div
{
    display: inline;
}
body.view div.md_structure div.md_revisions
{
    text-align: left;
}
body.view div.md_structure div.md_revisions img
{
    padding: 0 3px 0 3px;
}
body.view div.md_structure div.md_revisions span
{
    margin: 0 3px 0 3px;
    text-align: center;
}

#system_messages
{
    padding-top: 10px;
    float: left;
    width: 60%;
}
#system_messages .ajatus_elements_message
{
    height: 20px;
    line-height: 20px;
    background-color: #FFFDCF;
    text-align: left;
    padding: 5px 5px 0 5px;
    margin-bottom: 5px;
    border: 1px solid #F1CB2F;
}
#system_messages .ajatus_elements_message .close_handle
{
    width: 16px;
    height: 16px;
    background: url('../images/icons/cancel.png') top left no-repeat;
    cursor: pointer;
    float: left;
    margin: 0 15px 0 5px;
}
#system_messages .ajatus_elements_message .title
{
    display: none;
}
#system_messages .ajatus_elements_message .message
{
}
#system_messages .ajatus_elements_message.static
{
    height: auto;
    background: none;
    text-align: left;
}
#system_messages .ajatus_elements_message.static .close_handle
{
    display: none;
}
#system_messages .ajatus_elements_message.static .title
{
    display: block;
}

#main-page_toolbar
{
    height: 25px;
    min-width: 152px;
    float: right;
    overflow: hidden;
}
#main-page_toolbar .border_left
{
    height: 25px;
    width: 25px;
    background: url('../images/toolbar-top-left-bg.png') no-repeat;
    float: left;
}
#main-page_toolbar .content
{
    height: 25px;
    min-width: 102px;
    background: url('../images/toolbar-top-middle-bg.png') repeat-x;    
    float: left;
}
#main-page_toolbar .border_right
{
    height: 25px;
    width: 25px;
    background: url('../images/toolbar-top-right-bg.png') no-repeat;
    float: left;
}

.page_toolbar
{
    overflow: hidden;
}

.page_toolbar .content ul
{
    list-style-type: none;
    float: left;
    margin-top: 3px;
}
.page_toolbar .content ul li
{
    height: 20px;
    line-height: 20px;
    float: left;
    margin-right: 5px;
    cursor: pointer;
    color: #fff;
}

/*
 Additionals create/edit window
*/

.additionals_window
{
}
.additionals_window .actions
{
    text-align: right;
}

/*
 Preferences
*/

#preference_sections
{
    width: 80%;
}

#preference_sections .section
{
    margin-bottom: 10px;
}

.duplicates_list tr
{
    cursor: pointer;
}
.duplicates_list tbody tr:hover
{
    color: #000;
}

/*
 Tag merger
*/

.tag_merger_button_holder
{
    position: fixed;
    left: 10px;
    top: 10px;
}
.tag_merger_button
{
    min-width: 120px;
    height: 20px;
    margin-left: auto;
    margin-right: auto;
    font-weight: bold;
    font-size: 16px;
    cursor: pointer;
    background-color: #73d216;
    border-top: 3px solid #8ae234;
    border-left: 3px solid #8ae234;
    border-right: 3px solid #4e9a06;
    border-bottom: 3px solid #4e9a06;
    -moz-border-radius: 8px;
    -webkit-border-radius: 8px;
    border-radius: 8px;
    padding: 6px;
    text-align: center;
}

/*
 Icongrid
*/

table.icongrid td
{
    text-align: center;
}

/*
 Related objects
*/

#related_objects tbody
{
    height: 250px;
    overflow: scroll;    
}